# file-jbig2pdf

GIMP 3.0 plug-in for exporting lossless JBIG2-encoded PDF files

## Usage

file-jbig2pdf has only been tested on Linux. It requires [jbig2enc](https://github.com/agl/jbig2enc) to be installed, and its *jbig2* and *jbig2topdf.py* commands to be available on PATH.

**Important:** file-jbig2pdf requires *jbig2topdf.py* to have support for ‘standalone’ JBIG2 images, which was implemented in jbig2enc commit [bc9ec13](https://github.com/agl/jbig2enc/commit/bc9ec13d64657ff52dca79964acdc9ed1ff0ee30). At the time of writing (November 2024), this is available only in the git version of jbig2enc (e.g. Arch Linux [jbig2enc-git](https://aur.archlinux.org/packages/jbig2enc-git)).

Install *file-jbig2pdf.py* at *$HOME/.config/GIMP/3.0/plug-ins/file-jbig2pdf/file-jbig2pdf.py* and ensure that the file is executable.

Set up your GIMP image as desired in the standard fashion for PDF export (one layer per page, bottom layer first) and under *File* → *Export As…*, expand *Select File Type (By Extension)* and select *Portable Document Format (JBIG2)*.

## Licence

Copyright © 2024  Lee Yingtong Li (RunasSudo)

*file-jbig2pdf.py* loosely adapted from GIMP file-openraster.py – Copyright © 2009 by Jon Nordby \<jononor@gmail.com\>, licensed under the GPLv3\
In turn based on MyPaint source code by Martin Renold

*jbig2topdf_lossless.py* adapted from jbig2enc by Adam Langley <agl@imperialviolet.org> - Copyright (C) 2006 Google Inc., licensed under Apache v2

The file-jbig2pdf project is licensed under the GNU General Public License version 3 or later.
